## biomaj3-user 3.0.10

=== requirements.txt ===
biomaj_core
nose
mock
ldap3>=2.2.4
pymongo
py-bcrypt
flask
python-consul
tabulate
PyYAML

## biomaj3-user 3.0.6

=== debian/changelog ===
biomaj3-user (3.0.6-1) unstable; urgency=low

  * First packaging of biomaj-user (Closes: #872445).

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Aug 2017 09:59:28 +0000

=== debian/control ===
Source: biomaj3-user
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-ldap3,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-setuptools,
               python3-tabulate,
               python3-yaml,
               python3-biomaj3-core
Standards-Version: 4.0.0
Homepage: https://github.com/genouest/biomaj-user
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-user.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-user.git

Package: python3-biomaj3-user
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-gunicorn, mongodb
XB-Python-Egg-Name: biomaj-user
Description: BioMAJ user management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage users in BioMAJ3

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj-user
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-user/usr/bin/biomaj-users.py

## biomaj3-user 3.0.8

=== debian/changelog ===
biomaj3-user (3.0.8-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 08:14:41 +0000

biomaj3-user (3.0.6-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Remove trailing whitespace in debian/copyright
  * Lintian override for script-with-language-extension
  * Do not set DEB_BUILD_OPTIONS

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 10:16:53 +0100

## biomaj3-user 3.0.10

=== debian/changelog ===
biomaj3-user (3.0.10-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Nov 2019 10:30:39 +0000

=== debian/control ===
Source: biomaj3-user
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-ldap3,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-setuptools,
               python3-tabulate,
               python3-yaml,
               python3-biomaj3-core
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-user
Vcs-Git: https://salsa.debian.org/med-team/biomaj3-user.git
Homepage: https://github.com/genouest/biomaj-user

Package: python3-biomaj3-user
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests},
          python3-gunicorn,
          mongodb
Description: BioMAJ user management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage users in BioMAJ3
XB-Python-Egg-Name: biomaj-user

## biomaj3-user 3.0.12

=== requirements.txt ===
biomaj_core
nose
mock
ldap3>=2.2.4
pymongo>=3.12.3,<4
py-bcrypt
flask
python-consul
tabulate
PyYAML

=== debian/changelog ===
biomaj3-user (3.0.12-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-nose,
    tests are disabled anyway (Closes: #1018322)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 21:12:13 +0200

biomaj3-user (3.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Provide debian/tests/pkg-python/import-name to make autopkgtest work

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 14:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,23 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-bcrypt,
                python3-consul,
                python3-flask,
                python3-ldap3,
-               python3-mock,
-               python3-nose,
                python3-pymongo,
                python3-setuptools,
                python3-tabulate,
                python3-yaml,
                python3-biomaj3-core
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-user
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-user.git
 Homepage: https://github.com/genouest/biomaj-user
+Rules-Requires-Root: no
 
 Package: python3-biomaj3-user
 Architecture: all
@@ -29,8 +28,7 @@
          ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests},
-          python3-gunicorn,
-          mongodb
+          python3-gunicorn
 Description: BioMAJ user management library
  BioMAJ downloads remote data banks, checks their status and applies
  transformation workflows, with consistent state, to provide ready-to-use
@@ -41,4 +39,3 @@
  BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
  .
  This package contains the library and microservice to manage users in BioMAJ3
-XB-Python-Egg-Name: biomaj-user

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-user-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj-user/tags .*/v?(\d\S+)\.tar\.gz
